--FD create credential
IF NOT EXISTS
(SELECT * FROM sys.credentials 
WHERE name = 'AzureBackup')
CREATE CREDENTIAL AzureBackup WITH IDENTITY = [your storage account]
,SECRET = [your storage key] ;

--FD restore db
RESTORE DATABASE mirroringdb 
FROM URL = 'https://[storage account].blob.core.windows.net/[container]/mirroringdb.bak'
WITH CREDENTIAL = 'AzureBackup'
,NORECOVERY
,BLOCKSIZE = 65536 
,STATS = 5 
GO
--FD restore log
RESTORE LOG mirroringdb FROM URL = 'https://[storage account].blob.core.windows.net/[container]/mirroringdb_Log.trn' 
WITH CREDENTIAL = 'AzureBackup'
,NORECOVERY 

GO

--FD set mirroring session
ALTER DATABASE mirroringdb SET PARTNER = 'TCP://[principal].cloudapp.net:5022';
GO


